<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Product;

class HomeController extends Controller
{
    public function __invoke(Request $request)
    {
        // Si tuvieras un campo 'sales_count', podrías usar ->orderByDesc('sales_count')
        $destacados = Product::where('type', 'bike')
                        ->latest() // Las más nuevas
                        ->take(5)
                        ->get();

        // Si no hay bicis, traemos cualquier cosa para que no se rompa
        if ($destacados->isEmpty()) {
            $destacados = Product::take(5)->get();
        }

        return view('welcome', compact('destacados'));
    }
}
